[Bf-committers] making things a little more generic

Kent Mein bf-committers@blender.org
Tue, 14 Jan 2003 14:26:38 -0600


Anyone have any problems with the following changes?

Basically The first one I changed from /bin/sh to /bin/bash
because solaris's sh does not work with the script.

The second two are removing the direct call to perl and letting
it find perl in your path instead.
(found this bit on the following web site: 
http://www.lns.cornell.edu/~pvhp/ptk/etc/perl_general_start)

Kent
-- 
mein@cs.umn.edu
http://www.cs.umn.edu/~mein

(cvs diff's included here)

Index: intern/tools/cpifdiff.sh
===================================================================
RCS file: /cvsroot/bf-blender/blender/intern/tools/cpifdiff.sh,v
retrieving revision 1.3
diff -u -r1.3 cpifdiff.sh
--- intern/tools/cpifdiff.sh	5 Jan 2003 04:06:07 -0000	1.3
+++ intern/tools/cpifdiff.sh	14 Jan 2003 20:23:02 -0000
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 #
 # $Id: cpifdiff.sh,v 1.3 2003/01/05 04:06:07 sirdude Exp $
 #
Index: intern/tools/tinderbox/tinderbox-blender.pl
===================================================================
RCS file: /cvsroot/bf-blender/blender/intern/tools/tinderbox/tinderbox-blender.pl,v
retrieving revision 1.8
diff -u -r1.8 tinderbox-blender.pl
--- intern/tools/tinderbox/tinderbox-blender.pl	7 Jan 2003 01:26:30 -0000	1.8
+++ intern/tools/tinderbox/tinderbox-blender.pl	14 Jan 2003 20:23:02 -0000
@@ -1,4 +1,10 @@
-#!/usr/bin/perl
+#!/bin/sh -a # perl, really
+
+"true" || eval 'exec /usr/bin/perl -S $0 $argv:q';
+eval '(exit $?0)' && eval 'exec /usr/bin/perl -S $0 ${1+"$@"}'
+& eval 'exec /usr/bin/perl -S $0 $argv:q'
+if 0;
+
 # $Id: tinderbox-blender.pl,v 1.8 2003/01/07 01:26:30 sgefant Exp $
 #
 # ***** BEGIN GPL/BL DUAL LICENSE BLOCK *****
Index: source/tools/hmake/hmake
===================================================================
RCS file: /cvsroot/bf-blender/blender/source/tools/hmake/hmake,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 hmake
--- source/tools/hmake/hmake	12 Oct 2002 11:37:48 -0000	1.1.1.1
+++ source/tools/hmake/hmake	14 Jan 2003 20:23:03 -0000
@@ -1,4 +1,10 @@
-#!/usr/local/bin/perl
+#!/bin/sh -a # perl, really
+
+"true" || eval 'exec /usr/bin/perl -S $0 $argv:q';
+eval '(exit $?0)' && eval 'exec /usr/bin/perl -S $0 ${1+"$@"}'
+& eval 'exec /usr/bin/perl -S $0 $argv:q'
+if 0;
+
 # HMAKE, a filter and ANSI color wrapper for make and compiler output.
 # Copyright 2001 by Hans Lambermont <hans@lambermont.dyndns.org>
 #